<?php
/* Line Spacer plugin for Textcube 1.6.* ~ 1.7
   -------------------------------------------
   Version 1.0
   Tatter and Friends development team. (edited J.Parker)

   Creator          : inureyes
   Maintainer       : inureyes
   Editor			: J.Parker   

   Created at       : 2006.11.01
   Last modified at : 2008.05.08
 
 This plugin adds space on the sidebar & cover.
 For the detail, visit http://forum.tattersite.com/ko


 General Public License
 http://www.gnu.org/licenses/gpl.html

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

*/
function CV_SB_Spacer($parameters){
	global $blog;
	if (isset($parameters['preview'])) {
		// preview mode
		if($blog['language'] == 'ko') {
			$retval = '플러그인 사이에 빈 줄을 출력해 줍니다.';
		} else {
			$retval = 'Insert spacers between plugin.';
		}
		return htmlspecialchars($retval);
	}
	$parameters['height'] = (isset($parameters['height']) && !empty($parameters['height'])) ? $parameters['height'] : 20;
	$text = '<div class="SC_Spacer" style="clear:both;height:' . $data['height'] . 'px;"></div>';
	return $text;
}

function CV_SB_Title($parameters){
	global $blog;
	if (isset($parameters['preview'])) {
		// preview mode
		if($blog['language'] == 'ko') {
			$retval = '플러그인 제목을 출력해 줍니다.';
		} else {
			$retval = 'Insert plugin title.';
		}
		return htmlspecialchars($retval);
	}
	if(isset($parameters['title']) && !empty($parameters['title'])){
		$text = '<h3>' . $parameters['title'] . '</h3>';
	}
	return $text;
}
?>
